API
Core Resources

Addresses

An Addresses record represents a shipping address. Each customer can have multiple addresses. Subscriptions are a child object of an address.

34 additions in V2, marked New

Everything marked New also works when you send X-Recharge-Version: 2021-11.

How Addresses relate to other resources

#The address object

An Addresses record represents a shipping address. Each customer can have multiple addresses. Subscriptions are a child object of an address.

Attributes

  • idinteger
    Unique numeric identifier for the Address.
  • includeobjectNew
    An object containing the related resources requested with the include query parameter.
    Only returned when the include query parameter is passed.
    Show child attributesHide child attributes612 new
    • customerobjectNew
      The Customer associated with the Address. Returned when include contains customer.
    • The Payment Methods associated with the Address. Returned when include contains payment_methods. Requires the read_payment_methods scope.
    • The Subscriptions on the Address. Returned when include contains subscriptions. Requires the read_subscriptions scope.
    • onetimesarrayNew
      The Onetimes on the Address. Returned when include contains onetimes. Requires the read_subscriptions scope.
    • discountobject · nullableNew
      The Discount applied to the Address, or null if the Address has no discount. Returned when include contains discount. Requires the read_discounts scope.
      Show child attributesHide child attributes66 new
      • idintegerNew
        Unique numeric identifier for the Discount.
      • codestring · nullableNew
        The code used to apply the Discount.
      • valuefloatNew
        The discounted value to be applied.
      • value_typestringNew
        The type of the Discount value.
        Possible values
        fixed_amountpercentageshipping
      • titlestring · nullableNew
        The title of the Discount.
      • application_methodstring · nullableNew
        How the Discount is applied.
        Possible values
        codeautomatic
    • The charge activity records created for the Address in the last 90 days. Returned when include contains charge_activities. Requires the read_orders scope.
  • is_giftbooleanNew
    Whether the Address is a gift address.
    Only returned for stores that have gifting enabled.
  • Unique numeric identifier for the Payment Method associated to the Address.
  • address1string
    The street associated with the Address.
  • address2string
    Any additional information associated with the Address.
  • citystring
    The city associated with the address.
  • companystring
    The company associated with the address.
  • 2-letter country code.
  • Unique numeric identifier for the customer associated with the address.
  • discountsarray of objects
    A discount which will be applied on the address. While the discounts parameter is an array, only a single discount code will be applied. If multiple discount codes are provided, only the first discount in the array will apply to the address.
    Show child attributesHide child attributes1
    • idinteger
      The id of a discount associated with this address.
  • The customer’s first name associated with the address.
  • last_namestring
    The customer’s last name associated with the address.
  • order_attributesarray of objects
    Replaces cart_attributes. Extra information that is added to the order.
    Show child attributesHide child attributes2
    • namestring
      The name for the attribute.
    • valuestring
      The value for the associated attribute.
  • Notes to be added to all orders associated with the address.
  • phonestring
    The phone number associated with the address.
  • The currency on the subscription contract in Shopify.
    Only set if the currency is different from the store-level currency. Else, will default to store-level currency.
  • provincestring
    The state or province associated with the address.
  • shipping_lines_conservedarray of objects
    Shipping rates that have previously been overridden via shipping_lines_override but are currently inactive.
    Show child attributesHide child attributes3
    • codestring
      The code of the associated shipping line.
    • pricestring
      The price (in store’s currency) of the associated shipping line.
    • titlestring
      The title of the associated shipping line.
  • shipping_lines_overridearray of objects
    Used when shipping rates need to be overridden.
    If this parameter has value null, rates will be fetched when Charge is created or regenerated
    Show child attributesHide child attributes3
    • codestring
      The code of the associated shipping line.
    • pricestring
      The price (in store’s currency) of the associated shipping line.
    • titlestring
      The title of the associated shipping line.
  • zipstring
    The zip or postal code associated with the address.
  • created_atdatetime
    The date and time when the address was created.
  • updated_atdatetime
    The date and time when the address was last updated.
The address object
{
  "address": {
    "id": 21317826,
    "payment_method_id": 17874235,
    "address1": "1776 Washington Street",
    "address2": "",
    "city": "Los Angeles",
    "company": "Recharge",
    "country_code": "US",
    "created_at": "2018-11-14T09:00:01+00:00",
    "customer_id": 18819267,
    "discounts": [
      {
        "id": 12345,
        "code": "TESTCODE10",
        "value": 10,
        "value_type": "fixed_amount"
      }
    ],
    "first_name": "John",
    "last_name": "Doe",
    "order_attributes": [
      {
        "name": "custom name",
        "value": "custom value"
      }
    ],
    "order_note": "My recurring order note.",
    "phone": "5551234567",
    "presentment_currency": "USD",
    "shipping_lines_conserved": [],
    "shipping_lines_override": [
      {
        "code": "Standard Shipping",
        "price": "0.00",
        "title": "Standard Shipping"
      }
    ],
    "updated_at": "2018-11-14T09:00:01+00:00",
    "zip": "90404"
  }
}

#Create an address

POST/addresses
Create a new address for a customer.
Scopewrite_customers
phone is optional. When it is omitted the Address is created without a phone number.

Body parameters

  • custom_event_attributesarray of objectsNew
    A list of up to 10 custom attributes to attach to the Event created by this request. They are returned in the custom_attributes of that Event.
    Show child attributesHide child attributes22 new
    • keystringNew
      A user-defined key for the custom attribute.
    • valuestring · nullableNew
      A user-defined value for the custom attribute. Maximum length is 255 characters.
  • customer_idintegerRequired
    Unique numeric identifier for the customer associated with the address.
  • address1stringRequired
    The street associated with the Address. Minimum length is 1 character.
  • address2string
    Any additional information associated with the shipping address.
  • citystringRequired
    The city associated with the shipping address.
  • companystring
    The company associated with the shipping address.
  • country_codestringRequired
    2-letter country code.
    Check if the store supports shipping to this country. This is set by the merchant in their Shipping Settings page.
  • discountsarray of objectsNew
    A discount to apply to the Address. While the discounts parameter is an array, only the first discount is applied.
    Show child attributesHide child attributes22 new
    • idintegerNew
      The id of the Discount to apply to the Address.
    • codestringNew
      The code of the Discount to apply to the Address. Used when id is not passed.
  • first_namestringRequired
    The customer’s first name associated with the address. Minimum length is 1 character.
  • is_giftbooleanNew
    Whether the Address is a gift address.
    Only applied for stores that have gifting enabled.
  • last_namestringRequired
    The customer’s last name associated with the address. Minimum length is 1 character.
  • order_attributesarray of objects
    Extra information that is added to the order.
    Show child attributesHide child attributes2
    • namestring
      The name for the attribute.
    • valuestring
      The value for the associated attribute.
  • Notes to be added to all orders associated with the address.
  • Payment method id for the Payment_method to be associated to this address.
  • phonestring
    The phone number associated with the address. Must be included in the request schema but can be an empty string.
  • The currency that charges on this address will be processed in. If no presentment_currency is passed, it will be set to your default store currency.
  • provincestringRequired
    The state or province associated with the address. Check if country requires a province COUNTRIES_REQUIRING_PROVINCE.
  • shipping_lines_overridearray of objects
    Used when shipping rates need to be overridden. If this parameter has value null, rates will be fetched when a related Charge is created or regenerated
    Show child attributesHide child attributes3
    • codestring
      The code of the associated shipping line.
    • pricestring
      The price (in store’s currency) of the associated shipping line.
    • titlestring
      The title of the associated shipping line.
  • zipstringRequired
    The zip or postal code associated with the address.
    Check if the country requires a zip code COUNTRIES_NOT_REQUIRING_ZIP. If not included in the list then a zip code with the minimum length of 1 character is required. If the country is United States validate against regex UNITED_STATES_ZIP_REGEX. If country is United Kingdom then validate against regex UNITED_KINGDOM_ZIP_REGEX.
POST/addresses
curl -X POST 'https://api.rechargeapps.com/addresses' \
  -H 'X-Recharge-Version: v2' \
  -H 'Content-Type: application/json' \
  -H 'X-Recharge-Access-Token: your_api_token' \
  -d '{
  "customer_id": 22152215,
  "address1": "1776 Washington Street",
  "address2": "",
  "city": "Los Angeles",
  "company": "Recharge",
  "country_code": "US",
  "first_name": "John",
  "last_name": "Doe",
  "order_attributes": [
    {
      "name": "custom name",
      "value": "custom value"
    }
  ],
  "phone": "5551234567",
  "presentment_currency": "USD",
  "province": "California",
  "zip": "90404"
}'
Response
{
  "address": {
    "id": 42171447,
    "address1": "1030 Barnum Ave",
    "address2": "Suite 101",
    "city": "Stratford",
    "company": "Fake Company",
    "country_code": "US",
    "created_at": "2022-10-12T20:16:09+00:00",
    "customer_id": 37657002,
    "discounts": [],
    "first_name": "Fake First",
    "last_name": "Fake Last",
    "order_attributes": [
      {
        "name": "custom name",
        "value": "custom value"
      }
    ],
    "order_note": "My recurring order note",
    "phone": "999-999-9999",
    "presentment_currency": "USD",
    "province": "Connecticut",
    "shipping_lines_conserved": [],
    "shipping_lines_override": [],
    "updated_at": "2022-10-12T20:16:09+00:00",
    "zip": "06614"
  }
}

#Retrieve an address

GET/addresses/{id}
Retrieves address for customer based on specified address id.
Scoperead_customers

Query parameters

  • includestringNew
    A comma-separated list of related resources to embed in the include attribute of each Address.
    Possible values
    customerpayment_methodssubscriptionsdiscountonetimescharge_activities
GET/addresses/{id}
curl 'https://api.rechargeapps.com/addresses/21317826' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "address": {
    "id": 42171447,
    "payment_method_id": 17874235,
    "address1": "1030 Barnum Ave",
    "address2": "Suite 101",
    "city": "Stratford",
    "company": "Fake Company",
    "country_code": "US",
    "created_at": "2022-10-12T20:16:09+00:00",
    "customer_id": 37657002,
    "discounts": [],
    "first_name": "Fake First",
    "last_name": "Fake Last",
    "order_attributes": [
      {
        "name": "custom name",
        "value": "custom value"
      }
    ],
    "order_note": "My recurring order note",
    "phone": "999-999-9999",
    "presentment_currency": "USD",
    "province": "Connecticut",
    "shipping_lines_conserved": [],
    "shipping_lines_override": [],
    "updated_at": "2022-10-12T20:16:09+00:00",
    "zip": "06614"
  }
}

#Update an address

PUT/addresses/{id}
Updates an existing address to match the specified parameters.

Example: remove discounts from an address

To remove all discounts from an address, set the discounts parameter to an empty array: {"discounts": []}
Scopewrite_customers
Note: When updating the country property you will have to update the zip property as well, otherwise you will receive an error.

Query parameters

  • commitbooleanNew
    Controls when the queued charges on the Address are updated after the request applies or removes a discount. If true, the charges are updated before the response is returned. If false, they are updated asynchronously. The default depends on the store's configuration.

Body parameters

  • address1string
    The street associated with the Address. Minimum length is 1 character.
  • address2string
    Any additional information associated with the shipping address.
  • citystring
    The city associated with the shipping address. Minimum length is 1 character.
  • companystring
    The company associated with the shipping address.
  • 2-letter country code.
    Check if the store supports shipping to this country. This is set by the merchant in their Shipping Settings page.
  • custom_event_attributesarray of objectsNew
    A list of up to 10 custom attributes to attach to the Event created by this request. They are returned in the custom_attributes of that Event.
    Show child attributesHide child attributes22 new
    • keystringNew
      A user-defined key for the custom attribute.
    • valuestring · nullableNew
      A user-defined value for the custom attribute. Maximum length is 255 characters.
  • discountsarray of objects
    A discount which will be applied on the address. While the discounts parameter is an array, only a single discount code will be applied. If multiple discount codes are provided, only the first discount in the array will apply to the address.
    Show child attributesHide child attributes21 new
    • idinteger
      The id of a discount associated with this address.
    • codestringNew
      The code of the Discount to apply to the Address. Used when id is not passed.
  • The customer’s first name associated with the address. Minimum length is 1 character.
  • last_namestring
    The customer’s last name associated with the address. Minimum length is 1 character.
  • order_attributesarray of objects
    Extra information that is added to the order.
    Show child attributesHide child attributes2
    • namestring
      The name for the attribute.
    • valuestring
      The value for the associated attribute.
  • Notes to be added to all orders associated with the address.
  • Payment method id for the Payment_method to be associated to this address.
  • phonestring
    The phone number associated with the address. Must be included in the request schema but can be an empty string.
  • provincestring
    The state or province associated with the address. Check if country requires a province COUNTRIES_REQUIRING_PROVINCE.
  • shipping_lines_overridearray of objectsBigCommerceCustomRCSSCI
    Used when shipping rates need to be overridden. If this parameter has value null, rates will be fetched when a related Charge is created or regenerated.
    Show child attributesHide child attributes3
    • codestring
      The code of the associated shipping line.
    • pricestring
      The price (in store’s currency) of the associated shipping line.
    • titlestring
      The title of the associated shipping line.
  • zipstring
    The zip or postal code associated with the address. Check if the country requires a zip code COUNTRIES_NOT_REQUIRING_ZIP. If not included in the list then a zip code with the minimum length of 1 character is required. If the country is United States then validate against regex UNITED_STATES_ZIP_REGEX. If country is United Kingdom then validate against regex UNITED_KINGDOM_ZIP_REGEX.
PUT/addresses/{id}
curl -X PUT 'https://api.rechargeapps.com/addresses/38700614' \
  -H 'X-Recharge-Version: v2' \
  -H 'Content-Type: application/json' \
  -H 'X-Recharge-Access-Token: your_api_token' \
  -d '{
  "address1": "1776 Washington Street"
}'
Response
{
  "address": {
    "id": 42171447,
    "payment_method_id": 17874235,
    "address1": "1030 Barnum Ave",
    "address2": "Suite 101",
    "city": "Stratford",
    "company": "Fake Company",
    "country_code": "US",
    "created_at": "2022-10-12T20:16:09+00:00",
    "customer_id": 37657002,
    "discounts": [],
    "first_name": "Fake First",
    "last_name": "Fake Last",
    "order_attributes": [
      {
        "name": "custom name",
        "value": "custom value"
      }
    ],
    "order_note": "My recurring order note",
    "phone": "999-999-9999",
    "presentment_currency": "USD",
    "province": "Connecticut",
    "shipping_lines_conserved": [],
    "shipping_lines_override": [],
    "updated_at": "2022-10-12T20:16:09+00:00",
    "zip": "06614"
  }
}

#Delete an address

DELETE/addresses/{id}
It is possible to delete certain addresses from the store using API.
Scopewrite_customers
Only Addresses with no active Subscriptions can be deleted.
DELETE/addresses/{id}
curl -X DELETE 'https://api.rechargeapps.com/addresses/38700614' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{}

#List addresses

GET/addresses
Returns all addresses from the store, or addresses for the user given in the parameter.

HTTP examples

GET /addresses

GET /addresses?customer_id=<customer_id>

GET /addresses?discount_id=<discount_id>

GET /addresses?discount_code=<discount_code>
Scoperead_customers
You can combine created_at_min and created_at_max to return all addresses created in the given timespan. This also applies to updated_at_min and updated_at_max parameters.

Query parameters

  • Returns addresses created before the given time.
  • Returns addresses created after the given time.
  • cursorstringNew
    The next_cursor or previous_cursor value from a previous response, used to retrieve the next or previous page of results. When cursor is passed, only limit can be passed with it.
  • Unique identifier of the customer.
  • Returns addresses that have the provided discount_code.
  • Returns addresses that have the provided discount_id.
  • idsstring
    Filter addresses by id. If passing multiple values, must be comma separated. Non-integer values will result in a 422 error
  • includestringNew
    A comma-separated list of related resources to embed in the include attribute of each Address. onetimes can only be requested together with the customer_id filter.
    Possible values
    customerpayment_methodssubscriptionsdiscountonetimescharge_activities
  • limitstring
    The amount of results. Default is 50 while the maximum is 250.
    Default 50Maximum 250
  • orders_countintegerNew
    Returns addresses that have exactly the given number of processed charges. A value of 0 is ignored.
  • pagestringDeprecated
    The page to show. Default is 1.
    Default 1
    Page-based pagination has been deprecated but still available to use for pages up to a 100. If you need data past this point, use cursor pagination.
  • Returns addresses associated with the given Payment Method.
  • sort_bystringNew
    Sort order of the results. Default is id-desc.
    Possible values
    id-ascid-descupdated_at-ascupdated_at-desc
  • Returns addresses updated before the given date.
  • Returns addresses updated after the given time.
  • is_activeboolean
    Returns active addresses.
GET/addresses
curl 'https://api.rechargeapps.com/addresses?limit=3' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "addresses": [
    {
      "id": 42171447,
      "payment_method_id": 17874235,
      "address1": "1030 Barnum Ave",
      "address2": "Suite 101",
      "city": "Stratford",
      "company": "Fake Company",
      "country_code": "US",
      "created_at": "2022-10-12T20:16:09+00:00",
      "customer_id": 37657002,
      "discounts": [
        {
          "id": 123456
        }
      ],
      "first_name": "Fake First",
      "last_name": "Fake Last",
      "order_attributes": [
        {
          "name": "custom name",
          "value": "custom value"
        }
      ],
      "order_note": "My recurring order note",
      "phone": "999-999-9999",
      "presentment_currency": "USD",
      "province": "Connecticut",
      "shipping_lines_conserved": [],
      "shipping_lines_override": [
        {
          "code": "Standard Shipping",
          "price": "0.00",
          "title": "Standard Shipping"
        }
      ],
      "updated_at": "2022-10-12T20:16:09+00:00",
      "zip": "06614"
    }
  ]
}

#Merge addresses

POST/addresses/merge
Merges up to 10 source addresses into 1 target address.
Scopewrite_customers
If one of the Addresses being merged has a different presentment currency, the entire merge will fail and throw an error.

source_addresses must contain between 1 and 10 addresses.

Body parameters

  • Indicates whether source addresses should be deleted.
  • Specifies the next charge date of the associated subscriptions on the target address.
  • target_addressobjectRequired
    The address all of the subscriptions should be moved to.
    Show child attributesHide child attributes1
    • idinteger
      The id of the address.
  • source_addressesarray of objectsRequired
    The list of addresses that the subscriptions should move from.
    Show child attributesHide child attributes11 new
    • idintegerNew
      The id of the address.
POST/addresses/merge
curl -X POST 'https://api.rechargeapps.com/addresses/merge' \
  -H 'X-Recharge-Version: v2' \
  -H 'Content-Type: application/json' \
  -H 'X-Recharge-Access-Token: your_api_token' \
  -d '{
  "target_address": {
    "id": 42171447
  },
  "source_addresses": [
    {
      "id": 42171446
    },
    {
      "id": 42171445
    }
  ]
}'
Response
{
  "address": {
    "id": 42171447,
    "payment_method_id": 17874235,
    "address1": "1030 Barnum Ave",
    "address2": "Suite 101",
    "city": "Stratford",
    "company": "Fake Company",
    "country_code": "US",
    "created_at": "2022-10-12T20:16:09+00:00",
    "customer_id": 37657002,
    "discounts": [],
    "first_name": "Fake First",
    "last_name": "Fake Last",
    "order_attributes": [
      {
        "name": "custom name",
        "value": "custom value"
      }
    ],
    "order_note": "My recurring order note",
    "phone": "999-999-9999",
    "presentment_currency": "USD",
    "province": "Connecticut",
    "shipping_lines_conserved": [],
    "shipping_lines_override": [],
    "updated_at": "2022-10-12T20:16:09+00:00",
    "zip": "06614"
  }
}

#Skip future charge

POST/addresses/{id}/charges/skip
Skip a Charge in the future for one or multiple Subscriptions associated with the Address.
Scopewrite_orders
If the Charge does not exist on the date, it will be created with a SKIPPED status.

subscription_ids must contain between 1 and 35 ids.

Body parameters

  • datedateRequired
    The date in the future of the Charge to be skipped.
    This date must be within the delivery schedules of the Customer.
  • subscription_idsarrayRequired
    A list containing the Subscription IDs to be skipped.

Response attributes

  • idinteger
    The unique numeric identifier for the Charge.
  • address_idinteger
    The ID of the shipping Address tied to the Charge.
  • An object containing analytics data associated with the Charge.
    Show child attributesHide child attributes1
  • All the billing information related to the charge.
    Show child attributesHide child attributes10
    • address1string
      Line one of the billing address.
    • address2string
      Line two of the billing address.
    • citystring
      The city of the billing address.
    • companystring
      The company name of the billing address.
    • 2-letter country code.
    • The first name of the billing address.
    • last_namestring
      The last name of the billing address.
    • phonestring
      The phone number of the billing address.
    • provincestring
      The name of the province or state associated with the billing address.
    • zipstring
      The zip code or postcode of the address.
  • Details of the access method used by the purchaser.
    Show child attributesHide child attributes2
    • The IP address of the buyer as detected in Checkout.
    • The user agent detected during Checkout.
  • created_atdatetime
    The date and time when the transaction was created.
  • currencystring
    The code of the currency for this Charge, such as USD.
    Related guides: Supported currencies
  • customerobject
    An object containing Customer information associated with this Charge.
    Show child attributesHide child attributes4
    • idinteger
      The ID of the associated customer record.
    • emailstring
      The user email.
    • An object containing customer information associated with this charge.
      Show child attributesHide child attributes1
      • ecommercestring
        The customer ID as it appears in the external e-commerce platform.
    • hashstring
      The hash of the Customer associated with the Charge.
  • discountsarray of objects
    An array of Discounts associated with the Charge.
    Show child attributesHide child attributes4
    • idinteger
      The ID of the Discount.
    • codestring
      The code of the Discount.
    • valuefloat
      The value of the Discount.
    • The type of the value of the Discount.
      Possible values
      percentagefixed_amount
  • errorstring
    Error reason as sentence text (typically returned direct from the payment processor). e.g. "error": "Customer needs to update credit card"
  • Structured reason why the charge failed such as CUSTOMER_NEEDS_TO_UPDATE_CARD.
  • Shows how many times an attempt to charge was placed.
  • Indicates if Recharge was able to find the external_variant_id from the Charge.
  • An object containing the associated external order ID.
    Show child attributesHide child attributes1
    • ecommercestring
      The order ID as it appears in the external e-commerce platform.
  • An object containing the associated external transaction ID.
    Show child attributesHide child attributes1
    • The ID of the associated transaction in a payment processor system (like Stripe).
  • Specifies whether the Charge is scheduled for a regeneration (if the Subscription related to the charge was updated in the last 5 seconds using commit=false).
  • line_itemsarray of objects
    A list of line_item objects, each containing information about a distinct purchase item.
    Show child attributesHide child attributes20
    • The Subscription or Onetime ID associated with the line_item.
    • An object containing the associated product ID as it appears in the external system.
      Show child attributesHide child attributes1
      • ecommercestring
        The product id as it appears in the external e-commerce platform. The external_product_id of the Product record in Recharge, linking a Plan to a Product.
    • An object containing the associated variant ID as it appears in the external system.
      Show child attributesHide child attributes1
      • ecommercestring
        The variant id as it appears in the external e-commerce platform. The external_variant_id of the Product record in Recharge, linking a Plan to a Product.
    • gramsinteger
      The weight of the item in grams.
    • handlestring
      A unique, human-friendly string for the Product.
    • imagesobject
      An object containing URLs of the Product image.
      Show child attributesHide child attributes5
      • largestring
        The url where a large image file is located.
      • mediumstring
        The url where a medium image file is located.
      • smallstring
        The url where a small image file is located.
      • originalstring
        The url of the original sized product image.
      • sort_orderinteger
        The sort order in which the x image from the array should appear when displayed.
    • The original price of the line_item without discounts or taxes.
    • propertiesarray of objects
      An array of name value pairs of additional line_item attributes.
      Show child attributesHide child attributes2
      • namestring
        The name of the property.
      • valuestring
        The value of the property.
    • An indicator of the type of the purchase item.
      Possible values
      subscriptiononetime
    • quantityinteger
      The quantity of the line_item.
    • skustring
      The SKU (stock keeping unit) of the Product associated with the line_item.
    • tax_duestring
      The total tax due associated with the line_item.
    • tax_linesarray of objects
      an array containing tax_line objects associated with this line_item.
      Show child attributesHide child attributes3
      • pricestring
        The total tax associated with the listed jurisdiction.
      • ratestring
        The tax rate associated with the listed jurisdiction.
      • titlestring
        The title/name of the taxing jurisdiction.
    • taxableboolean
      A boolean indicating if the line_item is taxable or non-taxable.
    • The taxable revenue associated with the line_item.
    • titlestring
      The title of the Product of this line_item.
    • The total price of the line_item including tax.
    • The unit price of the line_item.
    • A boolean indicator if tax is included in the price of an item.
    • The name of a variant of the Product of this line_item.
  • notestring
    Notes associated with the Charge.
  • order_attributesarray of objects
    An array of name-value pairs of order attributes on the Charge.
    Show child attributesHide child attributes2
    • namestring
      The name for the attribute.
    • valuestring
      The value for the associated attribute.
  • The number of Orders generated from this Charge (>1 for prepaid Subscriptions).
  • The payment processor used for this Charge.
  • processed_atdatetime
    The date and time when the transaction was processed.
  • The date when the next attempt will be placed.
  • The date time of when the Charge is/was scheduled to process.
  • The shipping Address of the Charge.
    Show child attributesHide child attributes10
    • address1string
      Line one of the billing address.
    • address2string
      Line two of the billing address.
    • citystring
      The city of the billing address.
    • companystring
      The company name of the billing address.
    • 2-letter country code.
    • The first name of the billing address.
    • last_namestring
      The last name of the billing address.
    • phonestring
      The phone number of the billing address.
    • provincestring
      The name of the province or state associated with the billing address.
    • zipstring
      The zip code or postcode of the address.
  • shipping_linesarray of objects
    An array of shipping lines associated with the Charge.
    Show child attributesHide child attributes6
    • codestring
      The code associated with the shipping_line of a Charge.
    • pricestring
      The price of the shipping_line.
    • sourcestring
      The source of the shipping_line.
    • titlestring
      The title of the shipping_line.
    • taxablestring
      A boolean indicating if the shipping_line is taxable.
    • An array of tax lines associated with the shipping_line.
      Show child attributesHide child attributes3
      • pricestring
        The total tax associated with the listed jurisdiction.
      • ratestring
        The tax rate associated with the listed jurisdiction.
      • titlestring
        The title/name of the taxing jurisdiction.
  • statusstring
    The status of the Charge.
    Possible values
    successerrorqueuedskippedrefundedpartially_refundedpending_manual_paymentpending
  • The combined price of all line_items without taxes and shipping.
  • tagsstring
    A comma-separated list of tags on the Charge.
  • tax_linesarray of objects
    An array of tax lines that apply to the Charge.
    Show child attributesHide child attributes3
    • pricestring
      The total tax associated with the listed jurisdiction.
    • ratestring
      The tax rate associated with the listed jurisdiction.
    • titlestring
      The title/name of the taxing jurisdiction.
  • taxableboolean
    A boolean indicator of the taxability of the Charge.
  • Whether taxes are included in the order subtotal.
  • The sum of the Discounts applied to the Charge.
  • The total price of all line items of the Charge.
  • The sum of all the prices of all the items in the Charge, taxes and discounts included (must be positive).
  • The sum of all refunds that were applied to the Charge.
  • total_taxstring
    The total tax due associated with the Charge.
  • The total weight of the Charge’s line items in grams.
  • typestring
    An indicator of the Charge’s type, either checkout or recurring.
    Possible values
    checkoutrecurring
  • updated_atdatetime
    The date time at which the Charge was most recently updated.
POST/addresses/{id}/charges/skip
curl -X POST 'https://api.rechargeapps.com/addresses/91977136/charges/skip' \
  -H 'X-Recharge-Version: v2' \
  -H 'Content-Type: application/json' \
  -H 'X-Recharge-Access-Token: your_api_token' \
  -d '{
  "date": "2022-09-15",
  "purchase_item_ids": [
    27363808,
    27363809
  ]
}'
Response
{
  "charge": {
    "id": 377749210,
    "address_id": 42171447,
    "analytics_data": {
      "utm_params": [
        {
          "utm_source": "facebook",
          "utm_medium": "cpc"
        }
      ]
    },
    "billing_address": {
      "address1": "601 SW Washing St.",
      "address2": "Suite 101",
      "city": "Portland",
      "company": "Acme Corp",
      "country_code": "US",
      "first_name": "Jane",
      "last_name": "Doe",
      "phone": "888-888-8888",
      "province": "Oregon",
      "zip": "97205"
    },
    "client_details": {
      "browser_ip": "192.168.0.1",
      "user_agent": "safari webkit"
    },
    "created_at": "2021-11-09T19:22:13+00:00",
    "currency": "USD",
    "customer": {
      "id": 37657002,
      "email": "test@test.com",
      "external_customer_id": {
        "ecommerce": "2879413682227"
      },
      "hash": "7e706455cbd13e40"
    },
    "discounts": [
      {
        "id": 12345,
        "code": "TESTCODE10",
        "value": 10,
        "value_type": "fixed_amount"
      }
    ],
    "error": null,
    "error_type": null,
    "external_order_id": {
      "ecommerce": "2541635698739"
    },
    "external_transaction_id": {
      "payment_processor": "ch_1HzWElJ2zqHvZRd1TWKFFqDR"
    },
    "has_uncommitted_changes": false,
    "line_items": [
      {
        "purchase_item_id": 63898947,
        "external_product_id": {
          "ecommerce": "4381728735283"
        },
        "external_variant_id": {
          "ecommerce": "999999999999"
        },
        "grams": 454,
        "handle": "shirt-package",
        "images": {
          "large": "https://example-cdn.com/s/files/1/0257/0351/4163/products/il_570xN.1723312095_a43h_large.jpg",
          "medium": "https://example-cdn.com/s/files/1/0257/0351/4163/products/il_570xN.1723312095_a43h_medium.jpg",
          "original": "https://example-cdn.com/s/files/1/0257/0351/4163/products/il_570xN.1723312095_a43h.jpg",
          "small": "https://example-cdn.com/s/files/1/0257/0351/4163/products/il_570xN.1723312095_a43h_small.jpg"
        },
        "original_price": "10.00",
        "properties": [
          {
            "name": "Color",
            "value": "Blue"
          }
        ],
        "purchase_item_type": "subscription",
        "quantity": 1,
        "sku": "TOM0001",
        "tax_due": "1.30",
        "tax_lines": [
          {
            "price": "0.9931",
            "rate": "0.0725",
            "title": "CA State Tax",
            "unit_price": "0.3310"
          },
          {
            "price": "0.3082",
            "rate": "0.0225",
            "title": "LA County Tax",
            "unit_price": "0.1027"
          }
        ],
        "taxable": true,
        "taxable_amount": "10.00",
        "title": "Shirt package",
        "total_price": "11.30",
        "unit_price": "10.00",
        "unit_price_includes_tax": false,
        "variant_title": "Blue T-shirt"
      }
    ],
    "note": "next order in sequence 3",
    "order_attributes": [
      {
        "name": "Checkout-Method",
        "value": "delivery"
      }
    ],
    "orders_count": 1,
    "payment_processor": "stripe",
    "processed_at": null,
    "retry_date": null,
    "scheduled_at": "2021-12-09",
    "shipping_address": {
      "address1": "1030 Barnum Ave",
      "address2": "Suite 101",
      "city": "Stratford",
      "company": "Fake Company",
      "country_code": "US",
      "first_name": "Fake First",
      "last_name": "Fake Last",
      "phone": "999-999-9999",
      "province": "Connecticut",
      "zip": "06614"
    },
    "shipping_lines": [
      {
        "code": "Standard",
        "price": "4.90",
        "source": "shopify",
        "taxable": true,
        "tax_lines": [
          {
            "price": "0.355",
            "rate": 0.0725,
            "title": "CA State Tax"
          },
          {
            "price": "0.110",
            "rate": 0.0225,
            "title": "Los Angeles  County Tax"
          }
        ],
        "title": "Standard"
      }
    ],
    "status": "skipped",
    "subtotal_price": "10.00",
    "tags": "Subscription, Subscription Recurring Order",
    "tax_lines": [
      {
        "price": "0.950",
        "rate": 0.0725,
        "title": "CA State Tax"
      },
      {
        "price": "0.335",
        "rate": 0.0225,
        "title": "Los Angeles  County Tax"
      }
    ],
    "taxable": true,
    "total_discounts": "10.0",
    "total_line_items_price": "10.00",
    "total_price": "11.29",
    "total_refunds": "0.00",
    "total_tax": "1.29",
    "total_weight_grams": 454,
    "type": "recurring",
    "updated_at": "2021-11-09T23:59:32+00:00"
  }
}

#Validate an addressNew

POST/addresses/validate
Validates that the zip code and state of a US address match. Returns 200 with the normalized state and zip code when the address is valid, and 422 with an errors object when it is not. No specific scope is required.

Body parameters

  • address1string
    The street associated with the address.
  • address2string
    Any additional information associated with the address.
  • citystring
    The city associated with the address.
  • provincestring
    The state associated with the address. Accepts the full name or the 2-letter abbreviation.
  • zipstring
    The zip code associated with the address, in the 5 digit or 5-4 format.
POST/addresses/validate
curl -X POST 'https://api.rechargeapps.com/addresses/validate' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "city": "santa monica",
  "state": "CA",
  "state_name": "California",
  "zipcode": "90404",
  "errors": {}
}